#!/usr/bin/perl -w

use strict;
use blib;

use IsisDB;
use OpenIsis;
use MARC::File::USMARC;

use Benchmark qw( timethese cmpthese ) ;

my $isisdb = shift @ARGV || '/data/isis_data/ps/LIBRI/LIBRI';

my $isis = IsisDB->new (
	isisdb => $isisdb,
	debug => shift @ARGV,
);

my $rows = $isis->{'maxmfn'};

my $db = OpenIsis::open( $isisdb );

print "rows: $rows\n\n";

my $mfn = 1;

my $r = timethese( -5, {
	IsisDB => sub {
		$isis->fetch( $mfn++ % $rows + 1 );
	},
	OpenIsis => sub {
		OpenIsis::read( $db, $mfn++ % $rows + 1 );
	},
} );
cmpthese $r;

